Fans
Update Fan Notes
Sets private notes on a fan. Only visible to the account owner. Requires permission api_fans_update_notes.
https://public-api.buffmetrics.comPUT/v1/{account_id}/fans/{user_id}/notes
Bearer
Authorization
defaultAuthorizationBearer <token>Send your FansMetric API key as a Bearer token in the Authorization header.
In: header
Path Parameters
account_id*integerOnlyFans numeric account ID.
user_id*integerFan's OnlyFans user ID.
Request Body
application/jsonnotice*stringNote text. Empty string
""clears.
curl --request PUT "https://public-api.buffmetrics.com/v1/acct_XXXXX/fans/sample_user_id/notes" \
--header "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
--data '{
"notice": "VIP customer, always tip well"
}'Response
200{
"data":{
"id":12345
"notice":"VIP customer, always tip well"
}
"_meta":{
"_credits":{
"used":1
}
"_rate_limits":{
"limit_minute":1000
"remaining_minute":999
"limit_day":50000
"remaining_day":49999
}
}
}